Subject: bug#50629: 28.0.50; hard to debug an uncaught error with ert

From: Gerd Möllmann <[email-masked]>
Date: Sun, 28 Aug 2022 12:43:18 +0200

Gerd Möllmann <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>> Are you sure you removed all the .elc files under test first?  Since
>> this is a change in an ert macro, you have to do that to get meaningful
>> results.

> I'll check with elcs removed between runs later.

Before I forget this, I did it rather now, and indeed I see more errors
with condition-case-unless-debug.  The output with condition-case shows
only 2 errors

Ran 6582 tests, 6415 results as expected, 2 unexpected, 165 skipped